Page MenuHomePhabricator

[Epic] Rewrite all queue clients to use a single shim library, improve library
Closed, ResolvedPublic

Description

I'm pushing all of our cleanup and standardization to the front of this queue work, so to speak. We want to wrap all queue and K/V access in our PHP-Queue abstraction.

This task is complete when we're using a single abstraction in all components. We might have to extend the shim library slightly to accomodate more functionality, or rewrite clients to not rely on this. For example, the requeue-until operation should probably be reimplemented as a separate queue, with its own consumer that requeues onto the original queue after a quarantine period is up.

We'll need an equivalent abstraction for Python :-/

For each component, it's fine to stop work on this task after the queue abstraction is replaced, but we're still writing to ActiveMQ. Converting to the new queue store is independent work.

Related Objects

StatusAssignedTask
ResolvedNone
ResolvedNone
ResolvedNone
DuplicateNone
OpenNone
ResolvedXenoRyet
ResolvedEjegg
ResolvedEjegg
ResolvedNone
Resolvedawight
ResolvedNone
ResolvedEjegg
InvalidNone
ResolvedXenoRyet
DuplicateNone
ResolvedNone
Resolvedawight
ResolvedNone
Resolvedawight
Resolvedawight
DuplicateNone
ResolvedNone
OpenNone
Resolvedawight
Resolvedawight
OpenNone
Resolvedawight
OpenEjegg
ResolvedNone
ResolvedEjegg
ResolvedJgreen
ResolvedEjegg
ResolvedEjegg
InvalidNone

Event Timeline

awight created this task.Apr 19 2016, 9:16 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 9:16 PM
awight updated the task description. (Show Details)Jul 15 2016, 2:10 AM
awight closed this task as Resolved.Sep 21 2016, 2:40 AM
mmodell removed a subscriber: awight.Jun 22 2017, 9:33 PM